<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.api.plugins.quality (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.api.plugins.quality (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/osgi/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/api/plugins/scala/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.gradle.api.plugins.quality</h1>
<div class="docSummary">
<div class="block">Plugins which measure and enforce code quality.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/CheckstyleReports.html" title="interface in org.gradle.api.plugins.quality">CheckstyleReports</a></td>
<td class="colLast">
<div class="block">The reporting configuration for the <a href="../../../../../org/gradle/api/plugins/quality/Checkstyle.html" title="class in org.gradle.api.plugins.quality"><code>Checkstyle</code></a> task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcReports.html" title="interface in org.gradle.api.plugins.quality">CodeNarcReports</a></td>
<td class="colLast">
<div class="block">The reporting configuration for the <a href="../../../../../org/gradle/api/plugins/quality/CodeNarc.html" title="class in org.gradle.api.plugins.quality"><code>CodeNarc</code></a> test.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a></td>
<td class="colLast">
<div class="block">The reporting configuration for the <a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality"><code>FindBugs</code></a> task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/FindBugsXmlReport.html" title="interface in org.gradle.api.plugins.quality">FindBugsXmlReport</a></td>
<td class="colLast">
<div class="block">The single file XML report for FindBugs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/JDependReports.html" title="interface in org.gradle.api.plugins.quality">JDependReports</a></td>
<td class="colLast">
<div class="block">The reporting configuration for the <a href="../../../../../org/gradle/api/plugins/quality/JDepend.html" title="class in org.gradle.api.plugins.quality"><code>JDepend</code></a> task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/PmdReports.html" title="interface in org.gradle.api.plugins.quality">PmdReports</a></td>
<td class="colLast">
<div class="block">The reporting configuration for the <a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality"><code>Pmd</code></a> task.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/Checkstyle.html" title="class in org.gradle.api.plugins.quality">Checkstyle</a></td>
<td class="colLast">
<div class="block">Runs Checkstyle against some source files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/CheckstyleExtension.html" title="class in org.gradle.api.plugins.quality">CheckstyleExtension</a></td>
<td class="colLast">
<div class="block">Configuration options for the Checkstyle plugin.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/CheckstylePlugin.html" title="class in org.gradle.api.plugins.quality">CheckstylePlugin</a></td>
<td class="colLast">
<div class="block">Checkstyle Plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/CodeNarc.html" title="class in org.gradle.api.plugins.quality">CodeNarc</a></td>
<td class="colLast">
<div class="block">Runs CodeNarc against some source files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcExtension.html" title="class in org.gradle.api.plugins.quality">CodeNarcExtension</a></td>
<td class="colLast">
<div class="block">Configuration options for the CodeNarc plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/CodeNarcPlugin.html" title="class in org.gradle.api.plugins.quality">CodeNarcPlugin</a></td>
<td class="colLast">
<div class="block">CodeNarc Plugin.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/CodeQualityExtension.html" title="class in org.gradle.api.plugins.quality">CodeQualityExtension</a></td>
<td class="colLast">
<div class="block">Base Code Quality Extension.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/FindBugs.html" title="class in org.gradle.api.plugins.quality">FindBugs</a></td>
<td class="colLast">
<div class="block">Analyzes code with <a href="http://findbugs.sourceforge.net">FindBugs</a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/FindBugsExtension.html" title="class in org.gradle.api.plugins.quality">FindBugsExtension</a></td>
<td class="colLast">
<div class="block">Configuration options for the FindBugs plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/FindBugsPlugin.html" title="class in org.gradle.api.plugins.quality">FindBugsPlugin</a></td>
<td class="colLast">
<div class="block">A plugin for the <a href="http://findbugs.sourceforge.net">FindBugs</a> byte code analyzer.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/JDepend.html" title="class in org.gradle.api.plugins.quality">JDepend</a></td>
<td class="colLast">
<div class="block">Analyzes code with <a href="https://github.com/clarkware/jdepend">JDepend</a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/JDependExtension.html" title="class in org.gradle.api.plugins.quality">JDependExtension</a></td>
<td class="colLast">
<div class="block">Configuration options for the JDepend plugin.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/JDependPlugin.html" title="class in org.gradle.api.plugins.quality">JDependPlugin</a></td>
<td class="colLast">
<div class="block">A <a href="../../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> that generates design quality metrics by scanning your source packages.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/Pmd.html" title="class in org.gradle.api.plugins.quality">Pmd</a></td>
<td class="colLast">
<div class="block">Runs a set of static code analysis rules on Java source code files and generates a report of problems found.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/PmdExtension.html" title="class in org.gradle.api.plugins.quality">PmdExtension</a></td>
<td class="colLast">
<div class="block">Configuration options for the PMD plugin.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/PmdPlugin.html" title="class in org.gradle.api.plugins.quality">PmdPlugin</a></td>
<td class="colLast">
<div class="block">A plugin for the <a href="http://pmd.sourceforge.net/">PMD</a> source code analyzer.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/api/plugins/quality/TargetJdk.html" title="enum in org.gradle.api.plugins.quality">TargetJdk</a></td>
<td class="colLast">
<div class="block">Represents the PMD targetjdk property available for PMD &lt; 5.0</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.api.plugins.quality Description">Package org.gradle.api.plugins.quality Description</h2>
<div class="block">Plugins which measure and enforce code quality.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/api/plugins/osgi/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/api/plugins/scala/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/api/plugins/quality/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
